
function scJQGeneralAdd() {
  scLoadScInput('input:text.sc-js-input');
  scLoadScInput('input:password.sc-js-input');
  scLoadScInput('input:checkbox.sc-js-input');
  scLoadScInput('input:radio.sc-js-input');
  scLoadScInput('select.sc-js-input');
  scLoadScInput('textarea.sc-js-input');

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if ($("#id_ac_" + sField).length > 0) {
    if ($oField.hasClass("select2-hidden-accessible")) {
      if (false == scSetFocusOnField($oField)) {
        setTimeout(function() { scSetFocusOnField($oField); }, 500);
      }
    }
    else {
      if (false == scSetFocusOnField($oField)) {
        if (false == scSetFocusOnField($("#id_ac_" + sField))) {
          setTimeout(function() { scSetFocusOnField($("#id_ac_" + sField)); }, 500);
        }
      }
      else {
        setTimeout(function() { scSetFocusOnField($oField); }, 500);
      }
    }
  }
  else {
    setTimeout(function() { scSetFocusOnField($oField); }, 500);
  }
} // scFocusField

function scSetFocusOnField($oField) {
  if ($oField.length > 0 && $oField[0].offsetHeight > 0 && $oField[0].offsetWidth > 0 && !$oField[0].disabled) {
    $oField[0].focus();
    return true;
  }
  return false;
} // scSetFocusOnField

function scEventControl_init(iSeqRow) {
  scEventControl_data["code_structure" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["nom_structure" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["wilaya_structure" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["commune_structure" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["type_structure" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["structure_mere" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["tel_structure" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["statut_structure_nm_fk" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["role_labo" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["labo_partenaire" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
}

function scEventControl_active(iSeqRow) {
  if (scEventControl_data["code_structure" + iSeqRow] && scEventControl_data["code_structure" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["code_structure" + iSeqRow] && scEventControl_data["code_structure" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["nom_structure" + iSeqRow] && scEventControl_data["nom_structure" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["nom_structure" + iSeqRow] && scEventControl_data["nom_structure" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["wilaya_structure" + iSeqRow] && scEventControl_data["wilaya_structure" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["wilaya_structure" + iSeqRow] && scEventControl_data["wilaya_structure" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["commune_structure" + iSeqRow] && scEventControl_data["commune_structure" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["commune_structure" + iSeqRow] && scEventControl_data["commune_structure" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["type_structure" + iSeqRow] && scEventControl_data["type_structure" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["type_structure" + iSeqRow] && scEventControl_data["type_structure" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["structure_mere" + iSeqRow] && scEventControl_data["structure_mere" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["structure_mere" + iSeqRow] && scEventControl_data["structure_mere" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["tel_structure" + iSeqRow] && scEventControl_data["tel_structure" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["tel_structure" + iSeqRow] && scEventControl_data["tel_structure" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["statut_structure_nm_fk" + iSeqRow] && scEventControl_data["statut_structure_nm_fk" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["statut_structure_nm_fk" + iSeqRow] && scEventControl_data["statut_structure_nm_fk" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["role_labo" + iSeqRow] && scEventControl_data["role_labo" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["role_labo" + iSeqRow] && scEventControl_data["role_labo" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["labo_partenaire" + iSeqRow] && scEventControl_data["labo_partenaire" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["labo_partenaire" + iSeqRow] && scEventControl_data["labo_partenaire" + iSeqRow]["change"]) {
    return true;
  }
  return false;
} // scEventControl_active

function scEventControl_onFocus(oField, iSeq) {
  var fieldId, fieldName;
  fieldId = $(oField).attr("id");
  fieldName = fieldId.substr(12);
  scEventControl_data[fieldName]["blur"] = true;
  if ("wilaya_structure" + iSeq == fieldName) {
    scEventControl_data[fieldName]["blur"] = false;
  }
  if ("commune_structure" + iSeq == fieldName) {
    scEventControl_data[fieldName]["blur"] = false;
  }
  if ("structure_mere" + iSeq == fieldName) {
    scEventControl_data[fieldName]["blur"] = false;
  }
  if ("labo_partenaire" + iSeq == fieldName) {
    scEventControl_data[fieldName]["blur"] = false;
  }
  scEventControl_data[fieldName]["change"] = false;
} // scEventControl_onFocus

function scEventControl_onBlur(sFieldName) {
  scEventControl_data[sFieldName]["blur"] = false;
  if (scEventControl_data[sFieldName]["change"]) {
        if (scEventControl_data[sFieldName]["original"] == $("#id_sc_field_" + sFieldName).val() || scEventControl_data[sFieldName]["calculated"] == $("#id_sc_field_" + sFieldName).val()) {
          scEventControl_data[sFieldName]["change"] = false;
        }
  }
} // scEventControl_onBlur

function scEventControl_onChange(sFieldName) {
  scEventControl_data[sFieldName]["change"] = false;
} // scEventControl_onChange

function scEventControl_onAutocomp(sFieldName) {
  scEventControl_data[sFieldName]["autocomp"] = false;
} // scEventControl_onChange

var scEventControl_data = {};

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_code_structure' + iSeqRow).bind('blur', function() { sc_form_structures_sante_code_structure_onblur(this, iSeqRow) })
                                            .bind('focus', function() { sc_form_structures_sante_code_structure_onfocus(this, iSeqRow) });
  $('#id_sc_field_nom_structure' + iSeqRow).bind('blur', function() { sc_form_structures_sante_nom_structure_onblur(this, iSeqRow) })
                                           .bind('focus', function() { sc_form_structures_sante_nom_structure_onfocus(this, iSeqRow) });
  $('#id_sc_field_wilaya_structure' + iSeqRow).bind('blur', function() { sc_form_structures_sante_wilaya_structure_onblur(this, iSeqRow) })
                                              .bind('change', function() { sc_form_structures_sante_wilaya_structure_onchange(this, iSeqRow) })
                                              .bind('focus', function() { sc_form_structures_sante_wilaya_structure_onfocus(this, iSeqRow) });
  $('#id_sc_field_commune_structure' + iSeqRow).bind('blur', function() { sc_form_structures_sante_commune_structure_onblur(this, iSeqRow) })
                                               .bind('focus', function() { sc_form_structures_sante_commune_structure_onfocus(this, iSeqRow) });
  $('#id_sc_field_type_structure' + iSeqRow).bind('blur', function() { sc_form_structures_sante_type_structure_onblur(this, iSeqRow) })
                                            .bind('focus', function() { sc_form_structures_sante_type_structure_onfocus(this, iSeqRow) });
  $('#id_sc_field_structure_mere' + iSeqRow).bind('blur', function() { sc_form_structures_sante_structure_mere_onblur(this, iSeqRow) })
                                            .bind('focus', function() { sc_form_structures_sante_structure_mere_onfocus(this, iSeqRow) });
  $('#id_sc_field_tel_structure' + iSeqRow).bind('blur', function() { sc_form_structures_sante_tel_structure_onblur(this, iSeqRow) })
                                           .bind('focus', function() { sc_form_structures_sante_tel_structure_onfocus(this, iSeqRow) });
  $('#id_sc_field_role_labo' + iSeqRow).bind('blur', function() { sc_form_structures_sante_role_labo_onblur(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_structures_sante_role_labo_onfocus(this, iSeqRow) });
  $('#id_sc_field_statut_structure_nm_fk' + iSeqRow).bind('blur', function() { sc_form_structures_sante_statut_structure_nm_fk_onblur(this, iSeqRow) })
                                                    .bind('focus', function() { sc_form_structures_sante_statut_structure_nm_fk_onfocus(this, iSeqRow) });
  $('#id_sc_field_labo_partenaire' + iSeqRow).bind('blur', function() { sc_form_structures_sante_labo_partenaire_onblur(this, iSeqRow) })
                                             .bind('focus', function() { sc_form_structures_sante_labo_partenaire_onfocus(this, iSeqRow) });
  $('.sc-ui-radio-type_structure' + iSeqRow).on('click', function() { scMarkFormAsChanged(); });
  $('.sc-ui-radio-statut_structure_nm_fk' + iSeqRow).on('click', function() { scMarkFormAsChanged(); });
  $('.sc-ui-radio-role_labo' + iSeqRow).on('click', function() { scMarkFormAsChanged(); });
} // scJQEventsAdd

function sc_form_structures_sante_code_structure_onblur(oThis, iSeqRow) {
  do_ajax_form_structures_sante_mob_validate_code_structure();
  scCssBlur(oThis);
}

function sc_form_structures_sante_code_structure_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_form_structures_sante_nom_structure_onblur(oThis, iSeqRow) {
  do_ajax_form_structures_sante_mob_validate_nom_structure();
  scCssBlur(oThis);
}

function sc_form_structures_sante_nom_structure_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_form_structures_sante_wilaya_structure_onblur(oThis, iSeqRow) {
  do_ajax_form_structures_sante_mob_validate_wilaya_structure();
  scCssBlur(oThis);
}

function sc_form_structures_sante_wilaya_structure_onchange(oThis, iSeqRow) {
  do_ajax_form_structures_sante_mob_refresh_wilaya_structure();
}

function sc_form_structures_sante_wilaya_structure_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_form_structures_sante_commune_structure_onblur(oThis, iSeqRow) {
  do_ajax_form_structures_sante_mob_validate_commune_structure();
  scCssBlur(oThis);
}

function sc_form_structures_sante_commune_structure_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_form_structures_sante_type_structure_onblur(oThis, iSeqRow) {
  do_ajax_form_structures_sante_mob_validate_type_structure();
  scCssBlur(oThis);
}

function sc_form_structures_sante_type_structure_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_form_structures_sante_structure_mere_onblur(oThis, iSeqRow) {
  do_ajax_form_structures_sante_mob_validate_structure_mere();
  scCssBlur(oThis);
}

function sc_form_structures_sante_structure_mere_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_form_structures_sante_tel_structure_onblur(oThis, iSeqRow) {
  do_ajax_form_structures_sante_mob_validate_tel_structure();
  scCssBlur(oThis);
}

function sc_form_structures_sante_tel_structure_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_form_structures_sante_role_labo_onblur(oThis, iSeqRow) {
  do_ajax_form_structures_sante_mob_validate_role_labo();
  scCssBlur(oThis);
}

function sc_form_structures_sante_role_labo_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_form_structures_sante_statut_structure_nm_fk_onblur(oThis, iSeqRow) {
  do_ajax_form_structures_sante_mob_validate_statut_structure_nm_fk();
  scCssBlur(oThis);
}

function sc_form_structures_sante_statut_structure_nm_fk_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_form_structures_sante_labo_partenaire_onblur(oThis, iSeqRow) {
  do_ajax_form_structures_sante_mob_validate_labo_partenaire();
  scCssBlur(oThis);
}

function sc_form_structures_sante_labo_partenaire_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function displayChange_block(block, status) {
	if ("0" == block) {
		displayChange_block_0(status);
	}
}

function displayChange_block_0(status) {
	displayChange_field("code_structure", "", status);
	displayChange_field("nom_structure", "", status);
	displayChange_field("wilaya_structure", "", status);
	displayChange_field("commune_structure", "", status);
	displayChange_field("type_structure", "", status);
	displayChange_field("structure_mere", "", status);
	displayChange_field("tel_structure", "", status);
	displayChange_field("statut_structure_nm_fk", "", status);
	displayChange_field("role_labo", "", status);
	displayChange_field("labo_partenaire", "", status);
}

function displayChange_row(row, status) {
	displayChange_field_code_structure(row, status);
	displayChange_field_nom_structure(row, status);
	displayChange_field_wilaya_structure(row, status);
	displayChange_field_commune_structure(row, status);
	displayChange_field_type_structure(row, status);
	displayChange_field_structure_mere(row, status);
	displayChange_field_tel_structure(row, status);
	displayChange_field_statut_structure_nm_fk(row, status);
	displayChange_field_role_labo(row, status);
	displayChange_field_labo_partenaire(row, status);
}

function displayChange_field(field, row, status) {
	if ("code_structure" == field) {
		displayChange_field_code_structure(row, status);
	}
	if ("nom_structure" == field) {
		displayChange_field_nom_structure(row, status);
	}
	if ("wilaya_structure" == field) {
		displayChange_field_wilaya_structure(row, status);
	}
	if ("commune_structure" == field) {
		displayChange_field_commune_structure(row, status);
	}
	if ("type_structure" == field) {
		displayChange_field_type_structure(row, status);
	}
	if ("structure_mere" == field) {
		displayChange_field_structure_mere(row, status);
	}
	if ("tel_structure" == field) {
		displayChange_field_tel_structure(row, status);
	}
	if ("statut_structure_nm_fk" == field) {
		displayChange_field_statut_structure_nm_fk(row, status);
	}
	if ("role_labo" == field) {
		displayChange_field_role_labo(row, status);
	}
	if ("labo_partenaire" == field) {
		displayChange_field_labo_partenaire(row, status);
	}
}

function displayChange_field_code_structure(row, status) {
    var fieldId;
}

function displayChange_field_nom_structure(row, status) {
    var fieldId;
}

function displayChange_field_wilaya_structure(row, status) {
    var fieldId;
	if ("on" == status) {
		if ("all" == row) {
			var fieldList = $(".css_wilaya_structure__obj");
			for (var i = 0; i < fieldList.length; i++) {
				$($(fieldList[i]).attr("id")).select2("destroy");
			}
		}
		else {
			$("#id_sc_field_wilaya_structure" + row).select2("destroy");
		}
		scJQSelect2Add(row, "wilaya_structure");
	}
}

function displayChange_field_commune_structure(row, status) {
    var fieldId;
	if ("on" == status) {
		if ("all" == row) {
			var fieldList = $(".css_commune_structure__obj");
			for (var i = 0; i < fieldList.length; i++) {
				$($(fieldList[i]).attr("id")).select2("destroy");
			}
		}
		else {
			$("#id_sc_field_commune_structure" + row).select2("destroy");
		}
		scJQSelect2Add(row, "commune_structure");
	}
}

function displayChange_field_type_structure(row, status) {
    var fieldId;
}

function displayChange_field_structure_mere(row, status) {
    var fieldId;
	if ("on" == status) {
		if ("all" == row) {
			var fieldList = $(".css_structure_mere__obj");
			for (var i = 0; i < fieldList.length; i++) {
				$($(fieldList[i]).attr("id")).select2("destroy");
			}
		}
		else {
			$("#id_sc_field_structure_mere" + row).select2("destroy");
		}
		scJQSelect2Add(row, "structure_mere");
	}
}

function displayChange_field_tel_structure(row, status) {
    var fieldId;
}

function displayChange_field_statut_structure_nm_fk(row, status) {
    var fieldId;
}

function displayChange_field_role_labo(row, status) {
    var fieldId;
}

function displayChange_field_labo_partenaire(row, status) {
    var fieldId;
	if ("on" == status) {
		if ("all" == row) {
			var fieldList = $(".css_labo_partenaire__obj");
			for (var i = 0; i < fieldList.length; i++) {
				$($(fieldList[i]).attr("id")).select2("destroy");
			}
		}
		else {
			$("#id_sc_field_labo_partenaire" + row).select2("destroy");
		}
		scJQSelect2Add(row, "labo_partenaire");
	}
}

function scRecreateSelect2() {
	displayChange_field_wilaya_structure("all", "on");
	displayChange_field_commune_structure("all", "on");
	displayChange_field_structure_mere("all", "on");
	displayChange_field_labo_partenaire("all", "on");
}
function scResetPagesDisplay() {
	$(".sc-form-page").show();
}

function scHidePage(pageNo) {
	$("#id_form_structures_sante_mob_form" + pageNo).hide();
}

function scCheckNoPageSelected() {
	if (!$(".sc-form-page").filter(".scTabActive").filter(":visible").length) {
		var inactiveTabs = $(".sc-form-page").filter(".scTabInactive").filter(":visible");
		if (inactiveTabs.length) {
			var tabNo = $(inactiveTabs[0]).attr("id").substr(33);
		}
	}
}
function scJQUploadAdd(iSeqRow) {
} // scJQUploadAdd

var api_cache_requests = [];
function ajax_check_file(img_name, field  ,t, p, p_cache, iSeqRow, hasRun, img_before){
    setTimeout(function(){
        if(img_name == '') return;
        iSeqRow= iSeqRow !== undefined && iSeqRow !== null ? iSeqRow : '';
        var hasVar = p.indexOf('_@NM@_') > -1 || p_cache.indexOf('_@NM@_') > -1 ? true : false;

        p = p.split('_@NM@_');
        $.each(p, function(i,v){
            try{
                p[i] = $('[name='+v+iSeqRow+']').val();
            }
            catch(err){
                p[i] = v;
            }
        });
        p = p.join('');

        p_cache = p_cache.split('_@NM@_');
        $.each(p_cache, function(i,v){
            try{
                p_cache[i] = $('[name='+v+iSeqRow+']').val();
            }
            catch(err){
                p_cache[i] = v;
            }
        });
        p_cache = p_cache.join('');

        img_before = img_before !== undefined ? img_before : $(t).attr('src');
        var str_key_cache = '<?php echo $this->Ini->sc_page; ?>' + img_name+field+p+p_cache;
        if(api_cache_requests[ str_key_cache ] !== undefined && api_cache_requests[ str_key_cache ] !== null){
            if(api_cache_requests[ str_key_cache ] != false){
                do_ajax_check_file(api_cache_requests[ str_key_cache ], field  ,t, iSeqRow);
            }
            return;
        }
        //scAjaxProcOn();
        $(t).attr('src', '<?php echo $this->Ini->path_icones ?>/scriptcase__NM__ajax_load.gif');
        api_cache_requests[ str_key_cache ] = false;
        var rs =$.ajax({
                    type: "POST",
                    url: 'index.php?script_case_init=<?php echo $this->Ini->sc_page; ?>',
                    async: true,
                    data:'nmgp_opcao=ajax_check_file&AjaxCheckImg=' + encodeURI(img_name) +'&rsargs='+ field + '&p=' + p + '&p_cache=' + p_cache,
                    success: function (rs) {
                        if(rs.indexOf('</span>') != -1){
                            rs = rs.substr(rs.indexOf('</span>') + 7);
                        }
                        if(rs.indexOf('/') != -1 && rs.indexOf('/') != 0){
                            rs = rs.substr(rs.indexOf('/'));
                        }
                        rs = sc_trim(rs);

                        // if(rs == 0 && hasVar && hasRun === undefined){
                        //     delete window.api_cache_requests[ str_key_cache ];
                        //     ajax_check_file(img_name, field  ,t, p, p_cache, iSeqRow, 1, img_before);
                        //     return;
                        // }
                        window.api_cache_requests[ str_key_cache ] = rs;
                        do_ajax_check_file(rs, field  ,t, iSeqRow)
                        if(rs == 0){
                            delete window.api_cache_requests[ str_key_cache ];

                           // $(t).attr('src',img_before);
                            do_ajax_check_file(img_before+'_@@NM@@_' + img_before, field  ,t, iSeqRow)

                        }


                    }
        });
    },100);
}

function do_ajax_check_file(rs, field  ,t, iSeqRow){
    if (rs != 0) {
        rs_split = rs.split('_@@NM@@_');
        rs_orig = rs_split[0];
        rs2 = rs_split[1];
        try{
            if(!$(t).is('img')){

                if($('#id_read_on_'+field+iSeqRow).length > 0 ){
                                    var usa_read_only = false;

                switch(field){

                }
                     if(usa_read_only && $('a',$('#id_read_on_'+field+iSeqRow)).length == 0){
                         $(t).html("<a href=\"javascript:nm_mostra_doc('0', '"+rs2+"', 'form_structures_sante_mob')\">"+$('#id_read_on_'+field+iSeqRow).text()+"</a>");
                     }
                }
                if($('#id_ajax_doc_'+field+iSeqRow+' a').length > 0){
                    var target = $('#id_ajax_doc_'+field+iSeqRow+' a').attr('href').split(',');
                    target[1] = "'"+rs2+"'";
                    $('#id_ajax_doc_'+field+iSeqRow+' a').attr('href', target.join(','));
                }else{
                    var target = $(t).attr('href').split(',');
                     target[1] = "'"+rs2+"'";
                     $(t).attr('href', target.join(','));
                }
            }else{
                $(t).attr('src', rs2);
                $(t).css('display', '');
                if($('#id_ajax_doc_'+field+iSeqRow+' a').length > 0){
                    var target = $('#id_ajax_doc_'+field+iSeqRow+' a').attr('href').split(',');
                    target[1] = "'"+rs2+"'";
                    $(t).attr('href', target.join(','));
                }else{
                     var t_link = $(t).parent('a');
                     var target = $(t_link).attr('href').split(',');
                     target[0] = "javascript:nm_mostra_img('"+rs_orig+"'";
                     $(t_link).attr('href', target.join(','));
                }

            }
            eval("window.var_ajax_img_"+field+iSeqRow+" = '"+rs_orig+"';");

        } catch(err){
                        eval("window.var_ajax_img_"+field+iSeqRow+" = '"+rs_orig+"';");

        }
    }
   /* hasFalseCacheRequest = false;
    $.each(api_cache_requests, function(i,v){
        if(v == false){
            hasFalseCacheRequest = true;
        }
    });
    if(hasFalseCacheRequest == false){
        scAjaxProcOff();
    }*/
}

$(document).ready(function(){
});

function scJQPasswordToggleAdd(seqRow) {
  $(".sc-ui-pwd-toggle-icon" + seqRow).on("click", function() {
    var fieldName = $(this).attr("id").substr(17), fieldObj = $("#id_sc_field_" + fieldName), fieldFA = $("#id_pwd_fa_" + fieldName);
    if ("text" == fieldObj.attr("type")) {
      fieldObj.attr("type", "password");
      fieldFA.attr("class", "fa fa-eye sc-ui-pwd-eye");
    } else {
      fieldObj.attr("type", "text");
      fieldFA.attr("class", "fa fa-eye-slash sc-ui-pwd-eye");
    }
  });
} // scJQPasswordToggleAdd

function scJQSelect2Add(seqRow, specificField) {
  if (null == specificField || "wilaya_structure" == specificField) {
    scJQSelect2Add_wilaya_structure(seqRow);
  }
  if (null == specificField || "commune_structure" == specificField) {
    scJQSelect2Add_commune_structure(seqRow);
  }
  if (null == specificField || "structure_mere" == specificField) {
    scJQSelect2Add_structure_mere(seqRow);
  }
  if (null == specificField || "labo_partenaire" == specificField) {
    scJQSelect2Add_labo_partenaire(seqRow);
  }
} // scJQSelect2Add

function scJQSelect2Add_wilaya_structure(seqRow) {
  var elemSelector = "all" == seqRow ? ".css_wilaya_structure_obj" : "#id_sc_field_wilaya_structure" + seqRow;
  $(elemSelector).select2(
    {
      containerCssClass: 'css_wilaya_structure_obj',
      dropdownCssClass: 'css_wilaya_structure_obj',
      language: {
        noResults: function() {
          return "<?php echo $this->Ini->Nm_lang['lang_autocomp_notfound'] ?>";
        },
        searching: function() {
          return "<?php echo $this->Ini->Nm_lang['lang_autocomp_searching'] ?>";
        }
      }
    }
  );
} // scJQSelect2Add

function scJQSelect2Add_commune_structure(seqRow) {
  var elemSelector = "all" == seqRow ? ".css_commune_structure_obj" : "#id_sc_field_commune_structure" + seqRow;
  $(elemSelector).select2(
    {
      containerCssClass: 'css_commune_structure_obj',
      dropdownCssClass: 'css_commune_structure_obj',
      language: {
        noResults: function() {
          return "<?php echo $this->Ini->Nm_lang['lang_autocomp_notfound'] ?>";
        },
        searching: function() {
          return "<?php echo $this->Ini->Nm_lang['lang_autocomp_searching'] ?>";
        }
      }
    }
  );
} // scJQSelect2Add

function scJQSelect2Add_structure_mere(seqRow) {
  var elemSelector = "all" == seqRow ? ".css_structure_mere_obj" : "#id_sc_field_structure_mere" + seqRow;
  $(elemSelector).select2(
    {
      containerCssClass: 'css_structure_mere_obj',
      dropdownCssClass: 'css_structure_mere_obj',
      language: {
        noResults: function() {
          return "<?php echo $this->Ini->Nm_lang['lang_autocomp_notfound'] ?>";
        },
        searching: function() {
          return "<?php echo $this->Ini->Nm_lang['lang_autocomp_searching'] ?>";
        }
      }
    }
  );
} // scJQSelect2Add

function scJQSelect2Add_labo_partenaire(seqRow) {
  var elemSelector = "all" == seqRow ? ".css_labo_partenaire_obj" : "#id_sc_field_labo_partenaire" + seqRow;
  $(elemSelector).select2(
    {
      containerCssClass: 'css_labo_partenaire_obj',
      dropdownCssClass: 'css_labo_partenaire_obj',
      language: {
        noResults: function() {
          return "<?php echo $this->Ini->Nm_lang['lang_autocomp_notfound'] ?>";
        },
        searching: function() {
          return "<?php echo $this->Ini->Nm_lang['lang_autocomp_searching'] ?>";
        }
      }
    }
  );
} // scJQSelect2Add


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
  scEventControl_init(iLine);
  scJQUploadAdd(iLine);
  scJQPasswordToggleAdd(iLine);
  scJQSelect2Add(iLine);
  setTimeout(function () { if ('function' == typeof displayChange_field_wilaya_structure) { displayChange_field_wilaya_structure(iLine, "on"); } }, 150);
  setTimeout(function () { if ('function' == typeof displayChange_field_commune_structure) { displayChange_field_commune_structure(iLine, "on"); } }, 150);
  setTimeout(function () { if ('function' == typeof displayChange_field_structure_mere) { displayChange_field_structure_mere(iLine, "on"); } }, 150);
  setTimeout(function () { if ('function' == typeof displayChange_field_labo_partenaire) { displayChange_field_labo_partenaire(iLine, "on"); } }, 150);
} // scJQElementsAdd

function scGetFileExtension(fileName)
{
    fileNameParts = fileName.split(".");

    if (1 === fileNameParts.length || (2 === fileNameParts.length && "" == fileNameParts[0])) {
        return "";
    }

    return fileNameParts.pop().toLowerCase();
}

function scFormatExtensionSizeErrorMsg(errorMsg)
{
    var msgInfo = errorMsg.split("||"), returnMsg = "";

    if ("err_size" == msgInfo[0]) {
        returnMsg = "<?php echo $this->Ini->Nm_lang['lang_errm_file_size'] ?>. <?php echo $this->Ini->Nm_lang['lang_errm_file_size_extension'] ?>".replace("{SC_EXTENSION}", msgInfo[1]).replace("{SC_LIMIT}", msgInfo[2]);
    } else if ("err_extension" == msgInfo[0]) {
        returnMsg = "<?php echo $this->Ini->Nm_lang['lang_errm_file_invl'] ?>";
    }

    return returnMsg;
}

